<xml></xml>

Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

Berkeley DB .NET API Documentation
Transaction..::.Abort Method
Transaction Class See Also

Cause an abnormal termination of the transaction.

Namespace: BerkeleyDB
Assembly: libdb_dotnet48 (in libdb_dotnet48.dll) Version: 4.8.24.0

# Syntax

C#

    public void Abort()

Visual Basic (Declaration)

    Public Sub Abort

Visual C++

    public:
    void Abort()

# Remarks

Before Abort returns, any locks held by the transaction will have been released.

In the case of nested transactions, aborting a parent transaction causes all children (unresolved or not) of the parent transaction to be aborted.

All cursors opened within the transaction must be closed before the transaction is aborted.

# See Also

Transaction Class
BerkeleyDB Namespace